
QGIS Application - Bug report #19552

QGIS 3.2.1 - Print Layout with Atlas - first tile exported is overwritten with next tile

2018-08-06 05:46 PM - David Williams

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:3.2.1 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 27379

Description

We are using a Print Layout that has been working fine in QGIS 2.18.21, Saved as a Template and then that template has been imported

into QGIS 3.2.1.

I am filtering the Atlas tiles to just 2 tiles using "ID" IN (248, 249).

The output filename extension is 'dz '||attribute($atlasfeature, 'ID').

When I Export Atlas as Images (jpg format), it exports Tile 248 to 'dz 248.jpg' but it is almost immediately overwritten by Tile 249 but

keeps the name 'dz 248.jpg'

The result is just 1 tile called 'dz 248.jpg' but it contains Tile 249 data.

Associated revisions

Revision 69201021 - 2018-08-13 03:09 AM - Nyall Dawson

[layouts] Fix incorrect filename for atlas features when using

@atlas_feature

Fixes #19552

Revision c058a68d - 2018-08-14 02:12 AM - Nyall Dawson

[layouts] Fix incorrect filename for atlas features when using

@atlas_feature

Fixes #19552

(cherry-picked from 6920102)

History

#1 - 2018-08-13 03:08 AM - Nyall Dawson

- Status changed from Open to Closed

- % Done changed from 0 to 100

Applied in changeset commit:qgis|69201021d500bc3abdf06d0108af9e4322d794c5.

#2 - 2018-08-13 10:37 AM - Giovanni Manghi

- Resolution set to fixed/implemented
#3 - 2018-08-14 10:34 AM - David Williams

Nyall Dawson wrote:

Applied in changeset commit:qgis|69201021d500bc3abdf06d0108af9e4322d794c5.

Hi Nyall, how do I implement this to test it on my system?

#4 - 2018-08-14 10:36 AM - Giovanni Manghi

David Williams wrote:

Nyall Dawson wrote:

Applied in changeset commit:qgis|69201021d500bc3abdf06d0108af9e4322d794c5.

Hi Nyall, how do I implement this to test it on my system?

if you can't build then wait for 3.4 (or 3.2.2 if the fix has been backported).

#5 - 2018-08-14 10:36 AM - Giovanni Manghi

Giovanni Manghi wrote:

David Williams wrote:

Nyall Dawson wrote:

Applied in changeset commit:qgis|69201021d500bc3abdf06d0108af9e4322d794c5.

Hi Nyall, how do I implement this to test it on my system?

if you can't build then wait for 3.4 (or 3.2.2 if the fix has been backported).

or install qgis master.

#6 - 2018-08-14 12:14 PM - David Williams

Giovanni Manghi wrote:

Giovanni Manghi wrote:

David Williams wrote:

Nyall Dawson wrote:

Applied in changeset commit:qgis|69201021d500bc3abdf06d0108af9e4322d794c5.
Hi Nyall, how do I implement this to test it on my system?

if you can't build then wait for 3.4 (or 3.2.2 if the fix has been backported).

or install qgis master.

Thanks Giovanni, it worked fine on QGIS Master. Thank you for the fast response and fix.
